(function ($) {
    "use stict";
    $(window).on('elementor/frontend/init', function () {
        elementorFrontend.hooks.addAction('frontend/element_ready/coco-imageslider.default', function () {
            imageSliderSetUp();
        });
    });

    $(window).on('elementor/frontend/init', function () {
        elementorFrontend.hooks.addAction('frontend/element_ready/coco-carouseltestimonial.default', function () {
            carouselTestimonialSetUp();
        });
    });

    function imageSliderSetUp() {
        $(".image-slider").each(function () {
            var speed_value = $(this).data('speed');
            var auto_value = $(this).data('auto');
            var hover_pause = $(this).data('hover');
            if (auto_value === true) {
                $(this).owlCarousel({
                    loop: true,
                    autoHeight: true,
                    smartSpeed: 1000,
                    autoplay: auto_value,
                    autoplayHoverPause: hover_pause,
                    autoplayTimeout: speed_value,
                    responsiveClass: true,
                    items: 1
                });
                $(this).on('mouseleave', function () {
                    $(this).trigger('stop.owl.autoplay');
                    $(this).trigger('play.owl.autoplay', [auto_value]);
                });
            } else {
                $(this).owlCarousel({
                    loop: true,
                    autoHeight: true,
                    smartSpeed: 1000,
                    autoplay: false,
                    responsiveClass: true,
                    items: 1
                });
            }
        });
    }

    function carouselTestimonialSetUp() {
        $(".carousel-testimonial-wrapper").each(function () {
            var id = $(this).attr('id');
            var speed_value = $(this).data('speed');
            var mySwiper = new Swiper('#' + id, {
                autoplay: false,
                scrollbar: {
                    el: '.swiper-scrollbar-' + id,
                    hide: false,
                    draggable: true,
                    dragSize: '120px'
                },
                slidesPerView: 1,
                spaceBetween: 30,
                resistance: true,
                resistanceRatio: 0.5,
                breakpoints: {
                    768: {
                        slidesPerView: 'auto'
                    }
                }
            });
        });
    }

})(jQuery);